com.ihr.xbrl.om.table

## Class XBRLBreakdownUse

- java.lang.Object
- - com.ihr.xbrl.om.table.XBRLBreakdownUse

- All Implemented Interfaces:
    java.lang.Comparable<XBRLBreakdownUse>

      public class XBRLBreakdownUse
      extends java.lang.Object
      implements java.lang.Comparable<XBRLBreakdownUse>

  The Class XBRLBreakdownUse.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `axis` The Constant axis.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLBreakdownUse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(XBRLBreakdownUse o)`
    `static XBRLBreakdownUse` | `createBreakdownUse(XBRLRelationship rel, XBRLBreakdown breakdown)` Creates the breakdown use.
    `Axis` | `getAxis()` Gets the axis.
    `XBRLBreakdown` | `getBreakdown()` Gets the breakdown.
    `java.lang.Double` | `getOrder()` Gets the order.
    `void` | `resetTable()` This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### axis

          public static final javax.xml.namespace.QName axis

      The Constant axis.

  - ### Constructor Detail

    - #### XBRLBreakdownUse

          public XBRLBreakdownUse()

  - ### Method Detail

    - #### createBreakdownUse

          public static XBRLBreakdownUse createBreakdownUse(XBRLRelationship rel,
                                            XBRLBreakdown breakdown)

      Creates the breakdown use.
      Parameters:
        `rel` - the rel
        `breakdown` - the breakdown
      Returns:
        the XBRL breakdown use

    - #### compareTo

          public int compareTo(XBRLBreakdownUse o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<XBRLBreakdownUse>`

    - #### getAxis

          public Axis getAxis()

      Gets the axis.
      Returns:
        the _axis

    - #### getBreakdown

          public XBRLBreakdown getBreakdown()

      Gets the breakdown.
      Returns:
        the breakdown

    - #### getOrder

          public java.lang.Double getOrder()

      Gets the order.
      Returns:
        the order

    - #### resetTable

          public void resetTable()

      This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated